Incorrect privilege assignment in Siemens SINEMA Server



Published: 2020-01-15
Risk High
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2019-10940
CWE-ID CWE-266
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
SINEMA Server
Server applications / Other server solutions

Vendor Siemens

Security Bulletin

This security bulletin contains one high risk vulnerability.

1) Incorrect Privilege Assignment

EUVDB-ID: #VU24310

Risk: High

CVSSv3.1: 8.6 [CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C]

CVE-ID: CVE-2019-10940

CWE-ID: CWE-266 - Incorrect Privilege Assignment

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform firmware updates.

The vulnerability exists due to incorrect session validation. A remote authenticated attacker can perform firmware updates and other administrative operations on connected devices.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

SINEMA Server: before 14.0 SP2 Update 1


CPE2.3 External links

http://ics-cert.us-cert.gov/advisories/icsa-20-014-02

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote authenticated user via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###